# $Revision: 1.44 $, $Date: 2001/07/06 11:53:05 $
Summary:	GNU Macro Processor
Summary(de):	GNU-Makro-Prozessor
Summary(fr):	Processeur de macros de GNU
Summary(pl):	GNU procesor jzyka makrodefinicji
Summary(tr):	GNU Makrolemcisi
Name:		m4
Version:	1.4n
Release:	4
Epoch:		1
License:	GPL
Group:		Applications/Text
Group(de):	Applikationen/Text
Group(pl):	Aplikacje/Tekst
Source0:	ftp://ftp.seindal.dk/gnu/%{name}-%{version}.tar.gz
Patch0:		%{name}-info.patch
Patch1:		%{name}-format_string_fix.patch
Patch2:		%{name}-ac250.patch
URL:		http://www.seindal.dk/rene/gnu/
BuildRequires:	gettext-devel
BuildRequires:	libltdl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}

%description
A GNU implementation of the traditional UNIX macro processor. M4 is
useful for writing text files which can be logically parsed, and is
used by many programs as part of their build process. M4 has built-in
functions for including files, running shell commands, doing
arithmetic, etc. The autoconf program needs m4 for generating
configure scripts, but not for running configure scripts.

%description -l de
Dies ist die GNU-Makroverarbeitungssprache. Es ist zum Schreiben von
Textdateien geeignet, die logisch geparst werden knnen. Viele
Programme nutzen dies als Teil des Build-Vorgangs.

%description -l fr
Le langage de macro commande GNU. Il est utile pour constituer des
fichiers textes devant etre parcourues logiquement. De nombreux
programmes l'utilisent lors de leur processus de construction.

%description -l pl 
W pakiecie znajduje si m4 - GNU procesor jzyka makrodefinicji.
Uywany jest do tworzenia plikw tekstowych, ktre mog by logicznie
parsowane. Wiele programw korzysta z m4 podczas procesu kompilacji
kodu rdowego.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing ltmain.sh ltconfig
gettextize --copy --force
libtoolize --copy --force
aclocal
automake -a
autoheader
autoconf
%configure \
	--without-included-gettext
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf NEWS README

%find_lang %{name}

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz

%attr(755,root,root) %{_bindir}/m4

%{_datadir}/m4
%{_infodir}/m4*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: m4.spec,v $
Revision 1.44  2001/07/06 11:53:05  wiget
release 4; fix autoconf stuff

Revision 1.43  2001/02/05 20:29:32  kloczek
- release 3,
- fix for format string vulnerability (fix from bugtraq).

Revision 1.42  2000/12/11 12:14:15  qboosh
- BuildRequires: libltdl-devel

Revision 1.41  2000/10/16 19:53:41  kloczek
- release 2: use new rpm automation.

Revision 1.40  2000/07/02 22:56:52  zagrodzki
- adapterized

Revision 1.39  2000/07/02 22:51:13  zagrodzki
- one more fix

Revision 1.38  2000/07/02 22:48:50  zagrodzki
- fix

Revision 1.37  2000/07/02 22:47:02  zagrodzki
- back to m4-1.4n... autoconf has some problems with newer versions...

Revision 1.36  2000/06/17 18:11:03  zagrodzki
- BuildRequires: libltdl

Revision 1.35  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.34  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.33  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.32  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.31  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.30  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.29  2000/01/11 21:40:39  kloczek
- uncomented and updated info patch (m4 moved to "Text Processing Tools"
  section).

Revision 1.28  2000/01/11 00:18:19  wiget
- 1.4o
- build with dlopened modules support
- build with multi precision aritmetic (required gmp library)

Revision 1.27  1999/09/26 20:21:45  kloczek
- removed Patch1,
- removed runing autoconf, aclocal and automake from %build.

Revision 1.26  1999/09/26 20:00:01  kloczek
- added using %%configure macro (autoconf patch) and DESTDIR style %install,
- added "BuildRequires: gettext-devel",
- new %description from rawhide spec.

Revision 1.25  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.24  1999/09/19 09:41:00  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.23  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat May 29 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.4n-6]
- based on RH spec,
- spec rewrited by PLD team,
- pl translation Wojtek lusarczyk <wojtek@shadow.eu.org>.
